/*#######################################################################################
AVR Ansteuerung 10/12 Bit PC-Datenerfassung LTC1290

Das Programm liet anlaoge Werte ber einen LTC1290
ein und stellt diese auf einem 2x16 LCD Display dar.

Weitere Erkrungen siehe LTC1290.h

Copyright (C) 2005 Christian Truckenbrodt

#######################################################################################*/

#include "main.h"


//############################################################################
//Hauptprogramm
int main (void)
//############################################################################
{
	//Inizialisierung der Seriellen Schnittstelle
	UART_Init();
	//Initzialisierung des LCD - Displays
	LCD_Init();
	//Initzialisierung des LTC1290
	LTC1290_Init();

	LCD_Clear();

	while (1)
		{
			LCD_Print(0,0,"K Wert    K Wert");
			LCD_Print(1,0,"0 %4i    7 %4i ",LTC1290_Read(0),LTC1290_Read(7));
		}
return (1);
}

